Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161862 - target policy is not compatible with the latest hal
Summary: target policy is not compatible with the latest hal
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-27 21:37 UTC by Sergey V. Udaltsov
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.25.1-7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-19 08:28:02 UTC


Attachments (Terms of Use)

Description Sergey V. Udaltsov 2005-06-27 21:37:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
hal contains wireless mouse battery addon (/usr/libexec/hald-addon-usb-csr). It requires access to usbvfs - which current selinux policy does not provide. I had to add the following lines to the policy:

allow hald_t usbfs_t:dir read;
allow hald_t usbfs_t:file { ioctl write };

With these settings addon works ok - without them I get constant "access denied" selinux messages in the syslog. Could you please add these 2 lines to the policy?

Version-Release number of selected component (if applicable):
hal-0.5.2-2 selinux-policy-targeted-1.23.18-12

How reproducible:
Always

Steps to Reproduce:
1. Attach Logitech MX 1000 mouse to the PC with hal running
2. Look at the hal properties.
  

Actual Results:  You don't get proper battery.charge_level.current for the mouse device,
"access denied" messages in the syslog

Expected Results:  battery.charge_level.current filled with the current level

Additional info:

Comment 1 Daniel Walsh 2005-07-11 18:22:37 UTC
Fixed in selinux-policy-targeted-1.25.1-7


Note You need to log in before you can comment on or make changes to this bug.